package bookstorecounterexample;

/**
* <h1>Book</h1>
* Class responsible from handling all 
* the Book items.
*
* @version 1.0
* @since   2017-07-17
*/
public class Book extends Item {
	private String author;
	private int packaging; // 0 for simple, 1 for hard box
	private int yearPublished;

	public Book(String aTitle, String anAuthor, int aDate, double aPrice,
			int aPackage) {
		
		super(aTitle, aPrice); //constructor of Item!!!
		author = anAuthor;
		packaging = aPackage;
		yearPublished = aDate;
	}

	public void showDetails() {
		super.showDetails();
		System.out.println("by " + author + " at " + yearPublished);
		String packString;
		if (packaging == 1)
			packString = "hard box";
		else
			packString = "simple";
		System.out.println("with " + packString + " packaging.\n");
	}

}
