package bookstorecounterexample;
/**
* <h1>Item</h1>
* Abstract class responsible from handling all 
* the different types of items.
*
* @version 1.0
* @since   2017-07-17
*/
public class Item {
	public Item(){title="";price=-1.0;}
 	public Item(String aTitle, double aPrice){title = aTitle; price=aPrice;}
 	/**
 	 * Shows the information for an item
 	 */
 	public void showDetails() { System.out.println(title + "\t\t Price:" + price);}
 	/**
 	 * @return the original price of a selected item
 	 */
	public double getOriginalPrice() {return price;}
	/**
 	 * @return the price after discount of a selected item
 	 */
 	public double getFinalPrice() {return price;}
 	
 	protected String title;
	protected double price;
}

